# elfProgramheader Struct Reference

`#include <elf.h>`

## Data Fields

uInt32 | phType
uInt32 | phOffset
uInt32 | phVaddr
uInt32 | phPaddr
uInt32 | phFilesz
uInt32 | phMemsz
uInt32 | phFlags
uInt32 | phAlign

## Field Documentation

uInt32 elfProgramheader::phAlign

| Alignment in memory and file.

uInt32 elfProgramheader::phFilesz

| Size of contents in file.

uInt32 elfProgramheader::phFlags

| Access permission flags.

uInt32 elfProgramheader::phMemsz

| Size of contents in memory.

uInt32 elfProgramheader::phOffset

| File offset of contents.

uInt32 elfProgramheader::phPaddr

| Physical address (not used).

uInt32 elfProgramheader::phType

| Entry type.

uInt32 elfProgramheader::phVaddr

| Virtual address in memory image.

The documentation for this struct was generated from the following file:

- elf.h